Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.media.j3d
Interface ShaderErrorListener

    public interface ShaderErrorListener

Listener interface for monitoring errors in Shader Programs. Compile and link errors are reported by the shader compiler, as are runtime errors, such as those resulting from shader attributes that aren't found or are of the wrong type.

Since:
  Java 3D 1.4
See Also:
  `VirtualUniverse.addShaderErrorListener(javax.media.j3d.ShaderErrorListener)`

Method Summary
`void` | `errorOccurred(ShaderError error)` Invoked when an error occurs while compiling, linking or executing a programmable shader.

Method Detail

### errorOccurred

    void errorOccurred(ShaderError error)

  Invoked when an error occurs while compiling, linking or executing a programmable shader.

  Parameters:
    `error` - object that contains the details of the error.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1996-2008 Sun Microsystems, Inc. All Rights Reserved. Use is subject to license terms.